---

- import_tasks: ac-power.yaml

- name: display_manager_background_image set_fact workaround
  set_fact:
    display_manager_background_image: "{{role_path}}/files/background/{{ kitapro_background_image }}"

- import_role:
    name: display_manager
  vars:
    display_manager_state: maintenance
    display_manager_maintenance_text: Aktualisierungen werden durchgeführt – bitte nicht abschalten!
    display_manager_maintenance_icon: system-software-update

- import_tasks: common.yaml
- import_tasks: microcode.yaml

- import_tasks: network.yaml

- import_tasks: clean.yaml

- import_role:
    name: screensaver
- import_tasks: backgrounds.yaml
- import_tasks: fonts.yaml

- import_tasks: desktop_apps.yaml
- import_tasks: xfce-customization.yaml

- import_tasks: media-access-bug.yaml

- import_tasks: kitaplus.yaml
  when: kita_plus_url is defined

# - import_role:
#     name: reboot

- import_role:
    name: display_manager
  vars:
    display_manager_state: multiuser
